Bug 27907 - Add support for circulation status 2 ( on order )
Summary: Add support for circulation status 2 ( on order )
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 27906
Blocks: 27908
  Show dependency treegraph
 
Reported: 2021-03-09 18:28 UTC by Kyle M Hall
Modified: 2021-08-16 18:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 27907: Add unit test (1.58 KB, patch)
2021-03-10 15:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27907: Add support for circulation status 2 ( on order ) (959 bytes, patch)
2021-03-10 15:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27907: Add unit test (1.68 KB, patch)
2021-04-22 10:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27907: Add support for circulation status 2 ( on order ) (1.04 KB, patch)
2021-04-22 10:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27907: Add unit test (1.73 KB, patch)
2021-07-09 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27907: Add support for circulation status 2 ( on order ) (1.08 KB, patch)
2021-07-09 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2021-03-09 18:28:11 UTC

    
Comment 1 Kyle M Hall 2021-03-10 15:35:11 UTC
Created attachment 118029 [details] [review]
Bug 27907: Add unit test
Comment 2 Kyle M Hall 2021-03-10 15:35:26 UTC
Created attachment 118030 [details] [review]
Bug 27907: Add support for circulation status 2 ( on order )

In Koha, we represent on order items by giving those items a notforloan
value less then zero. We can use this to implement circ status 02 ( on
order ) in for SIP.
Comment 3 Kyle M Hall 2021-04-22 10:28:12 UTC
Created attachment 119989 [details] [review]
Bug 27907: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 4 Kyle M Hall 2021-04-22 10:28:23 UTC
Created attachment 119990 [details] [review]
Bug 27907: Add support for circulation status 2 ( on order )

In Koha, we represent on order items by giving those items a notforloan
value less then zero. We can use this to implement circ status 02 ( on
order ) in for SIP.

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 5 Martin Renvoize 2021-07-09 12:02:08 UTC
Created attachment 122723 [details] [review]
Bug 27907: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-07-09 12:02:12 UTC
Created attachment 122724 [details] [review]
Bug 27907: Add support for circulation status 2 ( on order )

In Koha, we represent on order items by giving those items a notforloan
value less then zero. We can use this to implement circ status 02 ( on
order ) in for SIP.

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-07-09 12:02:39 UTC
Tests pass, code makes sense, qa script happy.

Passing
Comment 8 Jonathan Druart 2021-07-12 13:49:06 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-07-16 13:07:40 UTC
Pushed to 21.05.x for 21.05.02
Comment 10 Fridolin Somers 2021-08-02 21:38:05 UTC
Pushed to 20.11.x for 20.11.09
Comment 11 Victor Grousset/tuxayo 2021-08-16 18:34:32 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.